Bug 137404 - Dia crashes when selecting 'Page Setup'
Dia crashes when selecting 'Page Setup'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-28 04:35 EDT by Daniel Hurran
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.94-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-04 03:58:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Hurran 2004-10-28 04:35:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040929 Epiphany/1.4.0

Description of problem:
When selecting 'File', and then 'Page Setup', Dia crashes with the
error: 'the application dia has quit unexpectedly'.

Version-Release number of selected component (if applicable):
dia-0.94-5

How reproducible:
Always

Steps to Reproduce:
1.Open Dia.
2.Chose 'File', then 'Page Setup'.

    

Actual Results:  The application quits

Expected Results:  Expected to see the page setup form.

Additional info:
Comment 1 John Looney 2004-11-09 11:24:58 EST
Also present in Fedora Core 3 (release)
Comment 2 Phil Hale 2004-11-18 10:37:27 EST
I've had the same issue with FC3 on X86_64 platform.
Comment 3 Caolan McNamara 2005-03-04 03:58:44 EST
Not seeing the problem anymore with rawhide and 0.94-6.
http://bugzilla.gnome.org/show_bug.cgi?id=154637. 
Comment 4 Dan Ryder 2005-03-30 13:37:25 EST
I had this same problem.  I downloaded the latest dependencies and dia source
(.94) , rebuilt everything and it went away.

- dia binary was FC3 stock
- md5sum follows
34a146a0940989b3d2ec60d120685bc3  /usr/bin/dia
- version says:
/usr/bin/dia --version
Dia version 0.94, compiled 12:28:37 Sep  3 2004
- dynamic dependencies compared:
OLD (STOCK, BROKEN) VERSION
ldd /usr/bin/dia
        libdia.so => /usr/lib/dia/libdia.so (0x0061c000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00437000)
        libgnomeui-2.so.0 => /usr/lib/libgnomeui-2.so.0 (0x0431d000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x00a81000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x00a8b000)
        libbonoboui-2.so.0 => /usr/lib/libbonoboui-2.so.0 (0x008f1000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0x0381c000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x003ff000)
        libgnomecanvas-2.so.0 => /usr/lib/libgnomecanvas-2.so.0 (0x00aa5000)
        libgnome-2.so.0 => /usr/lib/libgnome-2.so.0 (0x0083d000)
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x00cef000)
        libart_lgpl_2.so.2 => /usr/lib/libart_lgpl_2.so.2 (0x0076b000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00701000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x04066000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x007c2000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00a39000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x004e9000)
        libpangoxft-1.0.so.0 => /usr/lib/libpangoxft-1.0.so.0 (0x007bb000)
        libpangox-1.0.so.0 => /usr/lib/libpangox-1.0.so.0 (0x00830000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00733000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x005b4000)
        libbonobo-2.so.0 => /usr/lib/libbonobo-2.so.0 (0x0253f000)
        libgconf-2.so.4 => /usr/lib/libgconf-2.so.4 (0x00d6b000)
        libgnomevfs-2.so.0 => /usr/lib/libgnomevfs-2.so.0 (0x02599000)
        libbonobo-activation.so.4 => /usr/lib/libbonobo-activation.so.4 (0x00155000)
        libORBit-2.so.0 => /usr/lib/libORBit-2.so.0 (0x00101000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x005af000)
        libdl.so.2 => /lib/libdl.so.2 (0x0030e000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x00db2000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x0051c000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00cfe000)
        libm.so.6 => /lib/tls/libm.so.6 (0x002e9000)
        libz.so.1 => /usr/lib/libz.so.1 (0x003dd000)
        libc.so.6 => /lib/tls/libc.so.6 (0x001c0000)
        libgnome-keyring.so.0 => /usr/lib/libgnome-keyring.so.0 (0x00c66000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x005fc000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x00314000)
        /lib/ld-linux.so.2 (0x001a7000)
        libesd.so.0 => /usr/lib/libesd.so.0 (0x00975000)
        libaudiofile.so.0 => /usr/lib/libaudiofile.so.0 (0x0016b000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x004c1000)
        libXrandr.so.2 => /usr/X11R6/lib/libXrandr.so.2 (0x007ac000)
        libXi.so.6 => /usr/X11R6/lib/libXi.so.6 (0x007b1000)
        libXinerama.so.1 => /usr/X11R6/lib/libXinerama.so.1 (0x00729000)
        libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x00798000)
        libXcursor.so.1 => /usr/X11R6/lib/libXcursor.so.1 (0x0078d000)
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x00783000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x00a71000)
        libORBitCosNaming-2.so.0 => /usr/lib/libORBitCosNaming-2.so.0 (0x00cf8000)
        libssl.so.4 => /lib/libssl.so.4 (0x00cb9000)
        libcrypto.so.4 => /lib/libcrypto.so.4 (0x00b66000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00c50000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00adc000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0x00ad7000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00b43000)
        libhowl-0.9.6.so.1 => /usr/lib/libhowl-0.9.6.so.1 (0x026c6000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x00599000)
        librt.so.1 => /lib/tls/librt.so.1 (0x00d55000)
        libasound.so.2 => /lib/libasound.so.2 (0x07cef000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x004a0000)

-------------------------

NEW (WORKS) VERSION
ldd /usr/local/bin/dia
        libdia.so => /usr/local/lib/dia/libdia.so (0x00a8a000)
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x00cef000)
        libfreetype.so.6 => /usr/local/lib/libfreetype.so.6 (0x00111000)
        libgtk-x11-2.0.so.0 => /usr/local/lib/libgtk-x11-2.0.so.0 (0x00631000)
        libgdk-x11-2.0.so.0 => /usr/local/lib/libgdk-x11-2.0.so.0 (0x001be000)
        libatk-1.0.so.0 => /usr/local/lib/libatk-1.0.so.0 (0x00f9c000)
        libpangoxft-1.0.so.0 => /usr/local/lib/libpangoxft-1.0.so.0 (0x009d8000)
        libpangox-1.0.so.0 => /usr/local/lib/libpangox-1.0.so.0 (0x00b20000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0x0381c000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x003ff000)
        libgdk_pixbuf-2.0.so.0 => /usr/local/lib/libgdk_pixbuf-2.0.so.0 (0x00e02000)
        libpangoft2-1.0.so.0 => /usr/local/lib/libpangoft2-1.0.so.0 (0x004a9000)
        libpango-1.0.so.0 => /usr/local/lib/libpango-1.0.so.0 (0x00231000)
        libgobject-2.0.so.0 => /usr/local/lib/libgobject-2.0.so.0 (0x00986000)
        libgmodule-2.0.so.0 => /usr/local/lib/libgmodule-2.0.so.0 (0x00175000)
        libdl.so.2 => /lib/libdl.so.2 (0x0030e000)
        libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 (0x00267000)
        libpng.so.3 => /usr/local/lib/libpng.so.3 (0x00312000)
        libm.so.6 => /lib/tls/libm.so.6 (0x002e9000)
        libz.so.1 => /usr/lib/libz.so.1 (0x003dd000)
        libc.so.6 => /lib/tls/libc.so.6 (0x004cd000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x008bd000)
        libXrandr.so.2 => /usr/X11R6/lib/libXrandr.so.2 (0x00178000)
        libXinerama.so.1 => /usr/X11R6/lib/libXinerama.so.1 (0x0017b000)
        libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x0017e000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00347000)
        libXfixes.so.3 => /usr/X11R6/lib/libXfixes.so.3 (0x0061c000)
        libXcursor.so.1 => /usr/X11R6/lib/libXcursor.so.1 (0x00190000)
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x00199000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x00a71000)
        /lib/ld-linux.so.2 (0x001a7000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x0036d000)

Note You need to log in before you can comment on or make changes to this bug.